package io.renren.modules.app.dao;

import io.renren.common.utils.R;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.HKmEntity;
import io.renren.modules.app.entity.HKmyeEntity;
import io.renren.modules.app.entity.HPzEntity;
import io.renren.modules.app.entity.HYtlxbEntity;
import io.renren.modules.app.entity.HZyEntity;
import io.renren.modules.app.entity.WxjlbEntity;
import io.renren.modules.app.entity.WxxmxxEntity;
import io.renren.modules.app.entity.XmEntity;
import io.renren.modules.app.entity.XqxxEntity;
import io.renren.modules.app.entity.XtcsEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzmxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 凭证
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-06-13 09:49:49
 */
@Mapper
public interface HPzDao extends BaseMapper<HPzEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param hPzEntity
	 * @return
	 */
	List<YwpzEntity> queryByPageDWPZ(YwpzEntity ywpzEntity);

	List<YwpzEntity> queryByPageGRPZ(YwpzEntity ywpzEntity);
	
	List<YwpzEntity> queryByPageTKPZ(YwpzEntity ywpzEntity);

	List<YwpzEntity> queryByPageGGSYFTPZ(YwpzEntity ywpzEntity);

	List<HPzEntity> queryByPagePZCX(HPzEntity hPzEntity);
	
	HPzEntity queryByPagePZCXHJ(HPzEntity hPzEntity);

	List<HPzEntity> queryByPagePZSH(HPzEntity hPzEntity);

	List<HPzEntity> queryByPagePZJZ(HPzEntity hPzEntity);

	List<HPzEntity> queryByPagePZWJZ(HPzEntity hPzEntity);

	List<HPzEntity> queryByPagePZYJZ(HPzEntity hPzEntity);

	List<YwpzEntity> queryByPageZQPZSC(YwpzEntity ywpzEntity);
	
	List<YwpzEntity> queryByPageZQPZSC2(YwpzEntity ywpzEntity);

	List<YwpzEntity> selectyjmxdhbm(String id);

	List<YwpzEntity> selectywpzmxdhbm(String id);

	YwpzEntity selectxmmcbydhbm(String id);

	HKmEntity selectbymc(String id);

	HKmEntity selectbymc1(String id);

	HPzEntity selecthoprator(String name);

	HPzEntity selectzt(String id);

	String selectmaxpzh(String date);

	void inserthpzjf(HPzEntity hPzEntity);

	void updateywpzpzh(HPzEntity hPzEntity);
	
	void updatepz(HPzEntity hPzEntity);

	void updateywpzpzhnull(String id);

	void deletePZ(HPzEntity hPzEntity);

	List<HPzEntity> selectkm3(HPzEntity hPzEntity);

	List<HPzEntity> select110(HPzEntity hPzEntity);

	List<HPzEntity> selectPZSHXQ(HPzEntity hPzEntity);

	List<HPzEntity> selectPZSHXQj(HPzEntity hPzEntity);

	List<HPzEntity> selectPZSHXQd(HPzEntity hPzEntity);
	
	List<HPzEntity> selectPZSHXQj2(HPzEntity hPzEntity);

	List<HPzEntity> selectPZSHXQd2(HPzEntity hPzEntity);

	void updatePZSH(HPzEntity hPzEntity);

	void updatePZJZ(HPzEntity hPzEntity);

	String selectmaxzybm();

	void insertzy(HZyEntity hZyEntity);

	FwxxEntity selectyzkm(String id);

	FwxxEntity selectyzkm2(String id);

	HKmEntity selectkm(String id);

	XmEntity selectkfskm(String id);

	List<HPzEntity> selectpz(HPzEntity hPzEntity);

	HPzEntity selectsysuser(String id);

	List<YwpzEntity> queryByPagePZCZ(YwpzEntity ywpzEntity);

	List<YwpzEntity> queryByPagePZCZ2(YwpzEntity ywpzEntity);

	List<YwpzEntity> queryByPagePZCZ3(YwpzEntity ywpzEntity);

	YwpzEntity selectdw(String id);

	YwpzEntity selectdwzck(String id);

	List<HPzEntity> selectpzh(HPzEntity hPzEntity);

	List<YwpzEntity> selectywdj(HPzEntity hPzEntity);

	void updatedjpzh(HPzEntity hPzEntity);

	void updatepzpzh(HPzEntity hPzEntity);

	HZyEntity selectzy(String id);

	List<HPzEntity> selectyspz();

	void updaterqgs(HPzEntity hPzEntity);

	List<YwpzmxEntity> selectywpzmx(String id);

	HKmEntity selectkmmm(String id);

	List<WxjlbEntity> selectwxjl(String id);

	WxxmxxEntity selectwxxm(String id);

	XqxxEntity selectxqmc(String id);
	
	List<HPzEntity> selectjzsr(YwpzEntity ywpzEntity);
	
	List<HPzEntity> selectjzzc(YwpzEntity ywpzEntity);
	
	int selectytlx(YwpzEntity ywpzEntity);
	
	HYtlxbEntity selectjxrq(YwpzEntity ywpzEntity);
	
	HYtlxbEntity selectytxx(String id);
	
	XtcsEntity selectxtcs();
	
	void insertytlxb(HYtlxbEntity hYtlxbEntity);
	
	List<HYtlxbEntity> queryByPageYTLX(YwpzEntity ywpzEntity);
	
	List<HPzEntity> selectpzzsfjhz(HPzEntity hPzEntity);
	
	List<HPzEntity> selectfjhz(HPzEntity hPzEntity);
	
	int selectmaxflxh(HPzEntity hPzEntity);
	
	HKmEntity selectbymc2(String id);
	
	HKmEntity selectbymc22(String id);
	
	HPzEntity selectonefl(HPzEntity hPzEntity);
	
	void updatefzhsmxdw(HPzEntity hPzEntity);
	
	YwpzEntity selectfzhsmxdj(String id);
	
	void updatefzhsmxdj(String id);
	
	List<YwpzEntity> selectzyxqmc(String id);
	
	List<YwpzEntity> selectzyxmmc(String id);
	
	List<YwpzEntity> selectzydhmc(String id);
	
	List<String> selectkjqjpzhgs(String id);
	
	int selectMINpzh(HPzEntity hPzEntity);
	
	String selectMINpzh2(HPzEntity hPzEntity);
	
	List<String> selectallpzh(HPzEntity hPzEntity);
	
	int selectkjqjpzhsfcz(HPzEntity hPzEntity);
	
	List<YwpzEntity> selectbbtjszb();
	
	List<HPzEntity> selectszbypz(String kjqj);
	
	List<YwpzEntity> selectbbtjjzcbdb();
	
	List<HKmyeEntity> selectkmyexxxx(String kjqj);
	
	HPzEntity selectpzkm(HPzEntity hPzEntity);
	
	HKmyeEntity selectkmye(HKmyeEntity hKmyeEntity);
	
	void updatekmye(HKmyeEntity hKmyeEntity);
	
	List<HKmyeEntity> YJQQMJZ(HKmyeEntity hKmyeEntity);
	
	void updatekmyeqmjehtjf(HKmyeEntity hKmyeEntity);
	
	void updatekmyeqmjehtdf(HKmyeEntity hKmyeEntity);
	
	List<HPzEntity> selectpzfse(String id);

}
